Post
Update a post
Updates a single post's content, schedule, and media attachments.
Base URL
https://app.usesaki.com/apiput
/spaces/{space}/posts/{post}Update a post
Updates a single post's content, schedule, and media attachments.
Authorization
Bearer <token>Path Parameters
spacerequiredintegerThe space ID
postrequiredintegerThe post ID
Request Body
application/jsoncontentstringstatus"0" | "1" | "2" | "3" | "4"scheduled_atstring | nullmetadataarray | nullmedia_idsarray | nullResponse
curl -X PUT "https://app.usesaki.com/api/spaces/{space}/posts/{post}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"status": 0,
"scheduled_at": "2024-01-01T00:00:00Z",
"metadata": [
"string"
],
"media_ids": [
0
]
}'Response
{
"data": {
"id": 0,
"content": "string",
"status": 0,
"order": 0,
"scheduled_at": "2024-01-01T00:00:00Z",
"published_at": "2024-01-01T00:00:00Z",
"metadata": [
{}
],
"imported": true,
"cluster_id": "string",
"parent_id": 0,
"user_id": 0,
"account_id": 0,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"analytics": [
{}
],
"account": {
"id": 0,
"social": "string",
"display_name": "string",
"handler": "string",
"avatar": "string",
"is_active": true
},
"children": [
{}
],
"media": [
{
"id": "string",
"type": "string",
"url": "string",
"mime": "string",
"width": "string",
"height": "string",
"size": "string",
"alt": "string",
"order": "string"
}
]
}
}